viralquery
Api referencev1/library/browse

Browse the UGC video library (filter by platform/category; paginated by limit)

GET
/v1/library/browse

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Query Parameters

platform?string
Value in"tiktok" | "instagram" | "youtube"
category?string
Value in"beauty" | "fashion" | "ecommerce"
limit?integer
Range1 <= value <= 100

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/v1/library/browse"
{
  "videos": [
    {
      "id": "string",
      "platform": "string",
      "authorHandle": "string",
      "description": "string",
      "url": "string",
      "thumbnailUrl": "string",
      "engagementRate": 0,
      "category": "string",
      "hashtags": [
        "string"
      ],
      "soundName": "string",
      "duration": 0,
      "stats": {
        "views": 0,
        "likes": 0,
        "comments": 0,
        "shares": 0,
        "saves": 0
      },
      "downloadStatus": "string",
      "analysisStatus": "string"
    }
  ],
  "hasMore": true
}
{
  "error": "unauthorized",
  "message": "string",
  "signupUrl": "string"
}
{
  "error": "payment_required",
  "message": "string",
  "required": 0,
  "balance": 0,
  "shortfall": 0,
  "topupUrl": "string",
  "type": "string",
  "title": "string",
  "status": 0,
  "detail": "string"
}
{
  "error": "forbidden",
  "message": "string",
  "requiredScope": "string",
  "grantedScopes": [
    "string"
  ]
}
{
  "error": "upstream_error",
  "message": "string",
  "retryable": true
}
{
  "error": "rate_limited",
  "message": "string",
  "retryAfter": 0
}
{
  "error": "upstream_error",
  "message": "string",
  "retryable": true
}
{
  "error": "upstream_error",
  "message": "string",
  "retryable": true
}